RegexIterator::getMode
RegexIterator::setFlags
RegexIterator
PHP Manual

# RegexIterator::getPregFlags

(PHP 5 >= 5.2.0)

RegexIterator::getPregFlags — Returns the regular expression flags.

### Description

int RegexIterator::getPregFlags ( void )

Returns the special flags, see RegexIterator::__construct for the list of flags.

### Return Values

Returns the regular expression flags.

### See Also

- RegexIterator::setPregFlags() - Sets the regular expression flags.

RegexIterator::getMode
RegexIterator::setFlags
RegexIterator
PHP Manual